> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# ポッドキャストを作成

POST https://api.elevenlabs.io/v1/studio/podcasts
Content-Type: application/json

ポッドキャストプロジェクトを作成し、自動変換します。現在、LLMのコストはElevenLabsが負担しますが、オーディオ生成には引き続き料金がかかります。今後は、LLMとオーディオ生成の両方のコストが請求されます。

Reference: https://elevenlabs.io/docs/api-reference/studio/create-podcast

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Headers

- `safety-identifier` (string, optional, nullable) — モデレーションに使用します。この機能を使用するには、ワークスペースが許可リストに登録されている必要があります。

### Body (application/json)

This endpoint expects a Body_Create_podcast_v1_studio_podcasts_post.

- `model_id` (string, required) — このStudioプロジェクトで使用するモデルのID。GET /v1/modelsをクエリして、利用可能なすべてのモデルを一覧表示できます。
- `mode` (BodyCreatePodcastV1StudioPodcastsPostMode, required) — 生成するポッドキャストのタイプです。2つの音声による対話である'conversation'、またはモノローグである'bulletin'を指定できます。
- `source` (BodyCreatePodcastV1StudioPodcastsPostSource, required) — ポッドキャストのソースコンテンツ。
- `quality_preset` (enum, optional, nullable) — 生成されたオーディオの出力品質。次のいずれかを指定する必要があります。 'standard'：標準出力形式。サンプルレート44.1kHz、128kbps。 'high'：高品質出力形式。サンプルレート44.1kHz、192kbpsで、大幅な品質向上が適用されます。 'ultra'：最高品質出力形式。サンプルレート44.1kHz、192kbpsで、最大限の品質向上が適用されます。 'ultra_lossless'：完全なロスレス形式による最高品質出力形式。サンプルレート44.1kHz、705.6kbpsで、最大限の品質向上が適用されます。 指定しない場合、サブスクリプションのティアで利用可能な最高品質のプリセットがデフォルトになります。
  - Allowed values: `standard`, `high`, `ultra`, `ultra_lossless`
- `duration_scale` (enum, optional, default: default) — 生成されるポッドキャストの長さ。以下のいずれかを指定する必要があります。 short - 3分未満のポッドキャストを生成します。 default - およそ3～7分のポッドキャストを生成します。 long - 7分を超えるポッドキャストを生成します。
  - Allowed values: `short`, `default`, `long`
- `language` (string, optional, nullable) — Studioプロジェクトの任意の言語。2文字の言語コード（ISO 639-1）。
- `intro` (string, optional, nullable) — ポッドキャストの先頭に常に追加されるイントロテキスト。
- `outro` (string, optional, nullable) — ポッドキャストの末尾に常に追加されるアウトロテキスト。
- `instructions_prompt` (string, optional, nullable) — ポッドキャストのスタイルとトーンを調整するために使用する、ポッドキャスト生成用の追加指示プロンプト。
- `highlights` (list of string, optional, nullable) — Studioプロジェクトのコンテンツに関する簡単な要約またはハイライトです。重要なポイントやテーマを示します。10～70文字で指定してください。
- `callback_url` (string, optional, nullable) — Studioプロジェクトの変換時にサービスから呼び出されるURLです。リクエストには、変換ステータスを含むJSON blobが含まれます。 メッセージ： 1. プロジェクトの変換に成功した場合： \{ type: "project\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", conversion\_status: "success", project\_snapshot\_id: "22m00Tcm4TlvDq8ikMAT", error\_details: None, } } 2. プロジェクトの変換に失敗した場合： \{ type: "project\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", conversion\_status: "error", project\_snapshot\_id: None, error\_details: "変換に失敗した場合のエラー詳細" } } 3. チャプターの変換に成功した場合： \{ type: "chapter\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", chapter\_id: "22m00Tcm4TlvDq8ikMAT", conversion\_status: "success", chapter\_snapshot\_id: "23m00Tcm4TlvDq8ikMAV", error\_details: None, } } 4. チャプターの変換に失敗した場合： \{ type: "chapter\_conversion\_status", event\_timestamp: 1234567890, data: \{ request\_id: "1234567890", project\_id: "21m00Tcm4TlvDq8ikWAM", chapter\_id: "22m00Tcm4TlvDq8ikMAT", conversion\_status: "error", chapter\_snapshot\_id: None, error\_details: "変換に失敗した場合のエラー詳細" } }
- `apply_text_normalization` (enum, optional, nullable) — このパラメーターは、'auto'、'on'、'apply_english'、'off'の4つのモードでテキスト正規化を制御します。 'auto'に設定すると、システムがテキスト正規化を適用するかどうかを自動的に判断します （例：数字を読み上げ用の表記に変換）。'on'では常にテキスト正規化が適用され、 'off'ではスキップされます。'apply_english'は'on'と同じですが、テキストが英語であるとみなします。
  - Allowed values: `auto`, `on`, `off`, `apply_english`

## Response

### 200

成功レスポンス。

- `project` (ProjectResponseModel, required) — 作成されたポッドキャストに関連付けられたプロジェクト。

## Errors

### 422 Unprocessable Entity Error

検証エラー

- `detail` (list of ValidationError, optional)

## Types

### BodyCreatePodcastV1StudioPodcastsPostMode

生成するポッドキャストのタイプです。2つの音声による対話である'conversation'、またはモノローグである'bulletin'を指定できます。

### BodyCreatePodcastV1StudioPodcastsPostSource

ポッドキャストのソースコンテンツ。

### ProjectResponseModel

- `project_id` (string, required) — プロジェクトのID。
- `name` (string, required) — プロジェクトの名前。
- `create_date_unix` (integer, required) — プロジェクトの作成日。
- `created_by_user_id` (string, required, nullable) — プロジェクトを作成したユーザーのユーザーIDです。
- `default_title_voice_ref_id` (string, required) — デフォルトのタイトルプロジェクト音声参照ID。
- `default_paragraph_voice_ref_id` (string, required) — デフォルトの段落プロジェクト音声参照ID。
- `default_model_id` (string, required) — デフォルトのモデルID。
- `can_be_downloaded` (boolean, required) — プロジェクトをダウンロードできるかどうか。
- `volume_normalization` (boolean, required) — プロジェクトが音量正規化を使用するかどうか。
- `state` (enum, required) — プロジェクトの状態。
  - Allowed values: `creating`, `default`, `converting`, `in_queue`
- `access_level` (enum, required) — プロジェクトのアクセスレベル。
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `quality_check_on` (boolean, required, deprecated) — このプロジェクトで品質チェックが有効かどうか。
- `quality_check_on_when_bulk_convert` (boolean, required, deprecated) — 一括変換時にプロジェクトの品質チェックが有効かどうか。
- `default_title_voice_id` (string, required, deprecated) — デフォルトのタイトル音声ID。
- `default_paragraph_voice_id` (string, required, deprecated) — デフォルトの段落音声ID。
- `last_conversion_date_unix` (integer, optional, nullable) — プロジェクトの最終変換日時。
- `title` (string, optional, nullable) — プロジェクトのタイトルです。
- `author` (string, optional, nullable) — プロジェクトの作成者。
- `description` (string, optional, nullable) — プロジェクトの説明。
- `genres` (list of string, optional, nullable) — プロジェクトのジャンルのリスト。
- `cover_image_url` (string, optional, nullable) — プロジェクトのカバー画像URL。
- `target_audience` (enum, optional, nullable) — プロジェクトの対象オーディエンス。
  - Allowed values: `children`, `young adult`, `adult`, `all ages`
- `language` (string, optional, nullable) — プロジェクトの言語の2文字言語コード（ISO 639-1）。
- `content_type` (string, optional, nullable) — プロジェクトのコンテンツタイプです。例：'Novel'または'Short Story'。
- `original_publication_date` (string, optional, nullable) — プロジェクトの元の公開日。
- `mature_content` (boolean, optional, nullable) — プロジェクトに成人向けコンテンツが含まれるかどうか。
- `isbn_number` (string, optional, nullable) — プロジェクトのISBN番号。
- `fiction` (enum, optional, nullable) — プロジェクトがフィクションかどうか。
  - Allowed values: `fiction`, `non-fiction`
- `creation_meta` (ProjectCreationMetaResponseModel, optional, nullable) — プロジェクトの作成メタデータ。
- `source_type` (enum, optional, nullable) — プロジェクトのソースタイプ。
  - Allowed values: `blank`, `book`, `article`, `genfm`, `video`, `screenplay`
- `chapters_enabled` (boolean, optional, nullable, default: true) — プロジェクトでチャプターが有効かどうか。
- `captions_enabled` (boolean, optional, nullable, default: true) — プロジェクトでキャプションが有効かどうか。
- `caption_style` (CaptionStyleModel, optional, nullable) — すべてのキャプションに適用するグローバルスタイル
- `caption_style_template_overrides` (map from string to CaptionStyleModel, optional, nullable) — 提供されたテンプレートに加えたスタイル変更。
- `public_share_id` (string, optional, nullable) — プロジェクトの公開共有ID。
- `aspect_ratio` (enum, optional, nullable) — プロジェクトのアスペクト比。
  - Allowed values: `16:9`, `9:16`, `4:5`, `1:1`
- `agent_settings` (StudioAgentSettingsModel, optional, nullable) — プロジェクトのエージェント関連設定

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### PodcastConversationMode

- `type` ("conversation", required) — 作成するポッドキャストのタイプです。
- `conversation` (PodcastConversationModeData, required) — conversationの音声設定です。

### PodcastBulletinMode

- `type` ("bulletin", required) — 作成するポッドキャストのタイプです。
- `bulletin` (PodcastBulletinModeData, required) — bulletinの音声設定です。

### PodcastTextSource

- `type` ("text", required) — 作成するソースのタイプです。
- `text` (string, required) — ポッドキャストの作成元となるテキストです。

### PodcastURLSource

- `type` ("url", required) — 作成するソースのタイプです。
- `url` (string, required) — ポッドキャストの作成元となるURLです。

### ProjectCreationMetaResponseModel

- `creation_progress` (double, required) — プロジェクト作成の進捗。
- `status` (enum, required) — プロジェクト作成アクションのステータス。
  - Allowed values: `draft`, `pending`, `creating`, `finished`, `failed`
- `type` (enum, required) — プロジェクト作成アクションのタイプです。
  - Allowed values: `blank`, `generate_podcast`, `auto_assign_voices`, `dub_video`, `import_speech`

### CaptionStyleModel

- `template` (CaptionStyleTemplateModel, optional, nullable)
- `text_font` (string, optional, nullable)
- `text_scale` (double, optional, nullable)
- `text_color` (string, optional, nullable)
- `text_align` (enum, optional, nullable)
  - Allowed values: `start`, `center`, `end`
- `text_style` (enum, optional, nullable)
  - Allowed values: `normal`, `italic`
- `text_weight` (enum, optional, nullable)
  - Allowed values: `normal`, `bold`, `900`
- `text_transform` (enum, optional, nullable)
  - Allowed values: `none`, `uppercase`
- `text_blend_mode` (enum, optional, nullable)
  - Allowed values: `normal`, `difference`, `multiply`
- `text_shadow` (StudioTextStyleShadowModel, optional, nullable)
- `text_outline` (StudioTextStyleOutlineModel, optional, nullable)
- `background_enabled` (boolean, optional, nullable)
- `background_color` (string, optional, nullable)
- `background_opacity` (double, optional, nullable)
- `background_blur` (double, optional, nullable)
- `background_border_radius` (double, optional, nullable)
- `word_highlights_enabled` (boolean, optional, nullable)
- `word_highlights_color` (string, optional, nullable)
- `word_highlights_background_color` (string, optional, nullable)
- `word_highlights_opacity` (double, optional, nullable)
- `word_highlights_border_radius` (double, optional, nullable)
- `word_highlights_blur` (double, optional, nullable)
- `section_animation` (CaptionStyleSectionAnimationModel, optional, nullable)
- `word_animation` (CaptionStyleWordAnimationModel, optional, nullable)
- `character_animation` (CaptionStyleCharacterAnimationModel, optional, nullable)
- `cursor_enabled` (boolean, optional, nullable)
- `width_pct` (double, optional, nullable)
- `horizontal_placement` (CaptionStyleHorizontalPlacementModel, optional, nullable)
- `vertical_placement` (CaptionStyleVerticalPlacementModel, optional, nullable)
- `auto_break_enabled` (boolean, optional, nullable)
- `max_lines_per_section` (integer, optional, nullable)
- `max_words_per_line` (integer, optional, nullable)

### StudioAgentSettingsModel

- `tool_settings` (map from string to StudioAgentToolSettingsModel, optional)

### ValidationErrorLocItems

### PodcastConversationModeData

- `host_voice_id` (string, required) — ホスト音声のID。
- `guest_voice_id` (string, required) — ゲスト音声のID。

### PodcastBulletinModeData

- `host_voice_id` (string, required) — ホスト音声のID。

### CaptionStyleTemplateModel

- `key` (string, required)
- `label` (string, required)
- `requires_high_fps` (boolean, optional, default: false)

### StudioTextStyleShadowModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `blur` (double, required)
- `offset_x` (double, required)
- `offset_y` (double, required)

### StudioTextStyleOutlineModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `width` (double, required)

### CaptionStyleSectionAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleWordAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleCharacterAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `typewriter`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`

### CaptionStyleHorizontalPlacementModel

- `align` (enum, required)
  - Allowed values: `left`, `center`, `right`
- `translate_pct` (double, required)

### CaptionStyleVerticalPlacementModel

- `align` (enum, required)
  - Allowed values: `top`, `center`, `bottom`
- `translate_pct` (double, required)

### StudioAgentToolSettingsModel

- `skip_confirmation` (boolean, optional, default: false)

## Examples

**Request**

```json
{
  "model_id": "eleven_multilingual_v2",
  "mode": {
    "conversation": {
      "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
      "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
    },
    "type": "conversation"
  },
  "source": {
    "type": "url",
    "url": "https://en.wikipedia.org/wiki/Cognitive_science"
  }
}
```

**Response**

```json
{
  "project": {
    "project_id": "aw1NgEzBg83R7vgmiJt6",
    "name": "My Project",
    "create_date_unix": 1714204800,
    "created_by_user_id": "Vbtgl3bRdj6lk79rYAgx",
    "default_title_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
    "default_paragraph_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
    "default_model_id": "eleven_multilingual_v2",
    "can_be_downloaded": true,
    "volume_normalization": true,
    "state": "default",
    "access_level": "viewer",
    "quality_check_on": false,
    "quality_check_on_when_bulk_convert": false,
    "default_title_voice_id": "JBFqnCBsd6RMkjVDRZzb",
    "default_paragraph_voice_id": "JBFqnCBsd6RMkjVDRZzb",
    "last_conversion_date_unix": 1714204800,
    "title": "My Project",
    "author": "John Doe",
    "description": "This is a description of my project.",
    "genres": [
      "Novel",
      "Short Story"
    ],
    "cover_image_url": "https://example.com/cover.jpg",
    "target_audience": "young adult",
    "language": "en",
    "content_type": "Novel",
    "original_publication_date": "2025-01-01",
    "mature_content": false,
    "isbn_number": "978-90-274-3964-2",
    "fiction": "fiction",
    "creation_meta": {
      "creation_progress": 0.5,
      "status": "pending",
      "type": "blank"
    },
    "public_share_id": "abc123def456789"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/studio/podcasts"

payload = {
    "model_id": "eleven_multilingual_v2",
    "mode": {
        "conversation": {
            "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
            "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
        },
        "type": "conversation"
    },
    "source": {
        "type": "url",
        "url": "https://en.wikipedia.org/wiki/Cognitive_science"
    }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/studio/podcasts';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"model_id":"eleven_multilingual_v2","mode":{"conversation":{"guest_voice_id":"bYTqZQo3Jz7LQtmGTgwi","host_voice_id":"6lCwbsX1yVjD49QmpkTR"},"type":"conversation"},"source":{"type":"url","url":"https://en.wikipedia.org/wiki/Cognitive_science"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/studio/podcasts"

	payload := strings.NewReader("{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/studio/podcasts")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/studio/podcasts")
  .header("Content-Type", "application/json")
  .body("{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/studio/podcasts', [
  'body' => '{
  "model_id": "eleven_multilingual_v2",
  "mode": {
    "conversation": {
      "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
      "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
    },
    "type": "conversation"
  },
  "source": {
    "type": "url",
    "url": "https://en.wikipedia.org/wiki/Cognitive_science"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/studio/podcasts");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"model_id\": \"eleven_multilingual_v2\",\n  \"mode\": {\n    \"conversation\": {\n      \"guest_voice_id\": \"bYTqZQo3Jz7LQtmGTgwi\",\n      \"host_voice_id\": \"6lCwbsX1yVjD49QmpkTR\"\n    },\n    \"type\": \"conversation\"\n  },\n  \"source\": {\n    \"type\": \"url\",\n    \"url\": \"https://en.wikipedia.org/wiki/Cognitive_science\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "model_id": "eleven_multilingual_v2",
  "mode": [
    "conversation": [
      "guest_voice_id": "bYTqZQo3Jz7LQtmGTgwi",
      "host_voice_id": "6lCwbsX1yVjD49QmpkTR"
    ],
    "type": "conversation"
  ],
  "source": [
    "type": "url",
    "url": "https://en.wikipedia.org/wiki/Cognitive_science"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/studio/podcasts")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```